---
- name: install unbound
  apt:
    name: unbound
    update_cache: yes
    state: present

- name: disable resolvconf
  copy:
    dest: /etc/default/unbound
    content: RESOLVCONF="false"
  notify: restart unbound # reload

- name: deploy config
  template:
    src: unbound.conf.j2
    dest: /etc/unbound/unbound.conf
    validate: 'unbound-checkconf %s'
    backup: yes
  notify: restart unbound # reload

- name: configure iptables
  iptables:
    chain: INPUT
    protocol: "{{ item }}"
    destination_port: 53
    jump: ACCEPT
    comment: unbound
  with_items:
    - tcp
    - udp
  loop_control:
    pause: 1
  tags: iptables
  notify: dump iptables

